<?php
require_once(getabspath("classes/cipherer.php"));
$tdataAlunos_Mensal = array();
	$tdataAlunos_Mensal[".ShortName"] = "Alunos_Mensal";
	$tdataAlunos_Mensal[".OwnerID"] = "idnucleo";
	$tdataAlunos_Mensal[".OriginalTable"] = "senuc_aluno";

//	field labels
$fieldLabelsAlunos_Mensal = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelsAlunos_Mensal["Portuguese(Brazil)"] = array();
	$fieldToolTipsAlunos_Mensal["Portuguese(Brazil)"] = array();
	$fieldLabelsAlunos_Mensal["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipsAlunos_Mensal["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelsAlunos_Mensal["Portuguese(Brazil)"]["idnucleo"] = "Idnucleo";
	$fieldToolTipsAlunos_Mensal["Portuguese(Brazil)"]["idnucleo"] = "";
	$fieldLabelsAlunos_Mensal["Portuguese(Brazil)"]["idregional"] = "Idregional";
	$fieldToolTipsAlunos_Mensal["Portuguese(Brazil)"]["idregional"] = "";
	$fieldLabelsAlunos_Mensal["Portuguese(Brazil)"]["ano"] = "Ano";
	$fieldToolTipsAlunos_Mensal["Portuguese(Brazil)"]["ano"] = "";
	$fieldLabelsAlunos_Mensal["Portuguese(Brazil)"]["mes"] = "Mes";
	$fieldToolTipsAlunos_Mensal["Portuguese(Brazil)"]["mes"] = "";
	$fieldLabelsAlunos_Mensal["Portuguese(Brazil)"]["alunos"] = "Alunos";
	$fieldToolTipsAlunos_Mensal["Portuguese(Brazil)"]["alunos"] = "";
	$fieldLabelsAlunos_Mensal["Portuguese(Brazil)"]["coordenadores"] = "Coordenadores";
	$fieldToolTipsAlunos_Mensal["Portuguese(Brazil)"]["coordenadores"] = "";
	$fieldLabelsAlunos_Mensal["Portuguese(Brazil)"]["professores"] = "Professores";
	$fieldToolTipsAlunos_Mensal["Portuguese(Brazil)"]["professores"] = "";
	if (count($fieldToolTipsAlunos_Mensal["Portuguese(Brazil)"]))
		$tdataAlunos_Mensal[".isUseToolTips"] = true;
}
	
	
	$tdataAlunos_Mensal[".NCSearch"] = true;

	$tdataAlunos_Mensal[".ChartRefreshTime"] = 0;


$tdataAlunos_Mensal[".shortTableName"] = "Alunos_Mensal";
$tdataAlunos_Mensal[".nSecOptions"] = 1;
$tdataAlunos_Mensal[".recsPerRowList"] = 1;
$tdataAlunos_Mensal[".mainTableOwnerID"] = "idnucleo";
$tdataAlunos_Mensal[".moveNext"] = 1;
$tdataAlunos_Mensal[".nType"] = 3;

$tdataAlunos_Mensal[".strOriginalTableName"] = "senuc_aluno";




$tdataAlunos_Mensal[".showAddInPopup"] = false;

$tdataAlunos_Mensal[".showEditInPopup"] = false;

$tdataAlunos_Mensal[".showViewInPopup"] = false;

$tdataAlunos_Mensal[".fieldsForRegister"] = array();

$tdataAlunos_Mensal[".listAjax"] = false;

	$tdataAlunos_Mensal[".audit"] = false;

	$tdataAlunos_Mensal[".locking"] = false;

$tdataAlunos_Mensal[".listIcons"] = true;
$tdataAlunos_Mensal[".edit"] = true;
$tdataAlunos_Mensal[".inlineEdit"] = true;
$tdataAlunos_Mensal[".inlineAdd"] = true;
$tdataAlunos_Mensal[".view"] = true;



$tdataAlunos_Mensal[".delete"] = true;

$tdataAlunos_Mensal[".showSimpleSearchOptions"] = false;

$tdataAlunos_Mensal[".showSearchPanel"] = true;

if (isMobile())
	$tdataAlunos_Mensal[".isUseAjaxSuggest"] = false;
else 
	$tdataAlunos_Mensal[".isUseAjaxSuggest"] = true;


// button handlers file names

$tdataAlunos_Mensal[".addPageEvents"] = false;

// use timepicker for search panel
$tdataAlunos_Mensal[".isUseTimeForSearch"] = false;




$tdataAlunos_Mensal[".allSearchFields"] = array();

$tdataAlunos_Mensal[".allSearchFields"][] = "ano";
$tdataAlunos_Mensal[".allSearchFields"][] = "mes";

$tdataAlunos_Mensal[".googleLikeFields"][] = "id";
$tdataAlunos_Mensal[".googleLikeFields"][] = "idnucleo";
$tdataAlunos_Mensal[".googleLikeFields"][] = "idregional";
$tdataAlunos_Mensal[".googleLikeFields"][] = "ano";
$tdataAlunos_Mensal[".googleLikeFields"][] = "mes";
$tdataAlunos_Mensal[".googleLikeFields"][] = "alunos";
$tdataAlunos_Mensal[".googleLikeFields"][] = "coordenadores";
$tdataAlunos_Mensal[".googleLikeFields"][] = "professores";


$tdataAlunos_Mensal[".advSearchFields"][] = "ano";
$tdataAlunos_Mensal[".advSearchFields"][] = "mes";

$tdataAlunos_Mensal[".isTableType"] = "chart";

	



// Access doesn't support subqueries from the same table as main



$tstrOrderBy = "ORDER BY ano DESC, mes DESC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataAlunos_Mensal[".strOrderBy"] = $tstrOrderBy;

$tdataAlunos_Mensal[".orderindexes"] = array();

$tdataAlunos_Mensal[".sqlHead"] = "SELECT id,  idnucleo,  idregional,  ano,  mes,  alunos,  coordenadores,  professores";
$tdataAlunos_Mensal[".sqlFrom"] = "FROM senuc_score";
$tdataAlunos_Mensal[".sqlWhereExpr"] = "";
$tdataAlunos_Mensal[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataAlunos_Mensal[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataAlunos_Mensal[".arrGroupsPerPage"] = $arrGPP;

$tableKeysAlunos_Mensal = array();
$tableKeysAlunos_Mensal[] = "id";
$tdataAlunos_Mensal[".Keys"] = $tableKeysAlunos_Mensal;

$tdataAlunos_Mensal[".listFields"] = array();
$tdataAlunos_Mensal[".listFields"][] = "id";
$tdataAlunos_Mensal[".listFields"][] = "idnucleo";
$tdataAlunos_Mensal[".listFields"][] = "idregional";
$tdataAlunos_Mensal[".listFields"][] = "ano";
$tdataAlunos_Mensal[".listFields"][] = "mes";
$tdataAlunos_Mensal[".listFields"][] = "alunos";
$tdataAlunos_Mensal[".listFields"][] = "coordenadores";
$tdataAlunos_Mensal[".listFields"][] = "professores";

$tdataAlunos_Mensal[".viewFields"] = array();
$tdataAlunos_Mensal[".viewFields"][] = "id";
$tdataAlunos_Mensal[".viewFields"][] = "idnucleo";
$tdataAlunos_Mensal[".viewFields"][] = "idregional";
$tdataAlunos_Mensal[".viewFields"][] = "ano";
$tdataAlunos_Mensal[".viewFields"][] = "mes";
$tdataAlunos_Mensal[".viewFields"][] = "alunos";
$tdataAlunos_Mensal[".viewFields"][] = "coordenadores";
$tdataAlunos_Mensal[".viewFields"][] = "professores";

$tdataAlunos_Mensal[".addFields"] = array();
$tdataAlunos_Mensal[".addFields"][] = "idregional";

$tdataAlunos_Mensal[".inlineAddFields"] = array();
$tdataAlunos_Mensal[".inlineAddFields"][] = "idregional";
$tdataAlunos_Mensal[".inlineAddFields"][] = "ano";
$tdataAlunos_Mensal[".inlineAddFields"][] = "mes";
$tdataAlunos_Mensal[".inlineAddFields"][] = "alunos";
$tdataAlunos_Mensal[".inlineAddFields"][] = "coordenadores";
$tdataAlunos_Mensal[".inlineAddFields"][] = "professores";

$tdataAlunos_Mensal[".editFields"] = array();
$tdataAlunos_Mensal[".editFields"][] = "idnucleo";
$tdataAlunos_Mensal[".editFields"][] = "idregional";

$tdataAlunos_Mensal[".inlineEditFields"] = array();
$tdataAlunos_Mensal[".inlineEditFields"][] = "idnucleo";
$tdataAlunos_Mensal[".inlineEditFields"][] = "idregional";
$tdataAlunos_Mensal[".inlineEditFields"][] = "ano";
$tdataAlunos_Mensal[".inlineEditFields"][] = "mes";
$tdataAlunos_Mensal[".inlineEditFields"][] = "alunos";
$tdataAlunos_Mensal[".inlineEditFields"][] = "coordenadores";
$tdataAlunos_Mensal[".inlineEditFields"][] = "professores";

$tdataAlunos_Mensal[".exportFields"] = array();
$tdataAlunos_Mensal[".exportFields"][] = "id";
$tdataAlunos_Mensal[".exportFields"][] = "idnucleo";
$tdataAlunos_Mensal[".exportFields"][] = "idregional";
$tdataAlunos_Mensal[".exportFields"][] = "ano";
$tdataAlunos_Mensal[".exportFields"][] = "mes";
$tdataAlunos_Mensal[".exportFields"][] = "alunos";
$tdataAlunos_Mensal[".exportFields"][] = "coordenadores";
$tdataAlunos_Mensal[".exportFields"][] = "professores";

$tdataAlunos_Mensal[".printFields"] = array();
$tdataAlunos_Mensal[".printFields"][] = "id";
$tdataAlunos_Mensal[".printFields"][] = "idnucleo";
$tdataAlunos_Mensal[".printFields"][] = "idregional";
$tdataAlunos_Mensal[".printFields"][] = "ano";
$tdataAlunos_Mensal[".printFields"][] = "mes";
$tdataAlunos_Mensal[".printFields"][] = "alunos";
$tdataAlunos_Mensal[".printFields"][] = "coordenadores";
$tdataAlunos_Mensal[".printFields"][] = "professores";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataAlunos_Mensal["id"] = $fdata;
//	idnucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "idnucleo";
	$fdata["GoodName"] = "idnucleo";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Idnucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idnucleo"; 
		$fdata["FullName"] = "idnucleo";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataAlunos_Mensal["idnucleo"] = $fdata;
//	idregional
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "idregional";
	$fdata["GoodName"] = "idregional";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Idregional"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idregional"; 
		$fdata["FullName"] = "idregional";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataAlunos_Mensal["idregional"] = $fdata;
//	ano
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "ano";
	$fdata["GoodName"] = "ano";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Ano"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ano"; 
		$fdata["FullName"] = "ano";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataAlunos_Mensal["ano"] = $fdata;
//	mes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "mes";
	$fdata["GoodName"] = "mes";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Mes"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "mes"; 
		$fdata["FullName"] = "mes";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataAlunos_Mensal["mes"] = $fdata;
//	alunos
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "alunos";
	$fdata["GoodName"] = "alunos";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Alunos"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "alunos"; 
		$fdata["FullName"] = "alunos";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataAlunos_Mensal["alunos"] = $fdata;
//	coordenadores
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "coordenadores";
	$fdata["GoodName"] = "coordenadores";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Coordenadores"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "coordenadores"; 
		$fdata["FullName"] = "coordenadores";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataAlunos_Mensal["coordenadores"] = $fdata;
//	professores
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "professores";
	$fdata["GoodName"] = "professores";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Professores"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "professores"; 
		$fdata["FullName"] = "professores";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataAlunos_Mensal["professores"] = $fdata;

	$tdataAlunos_Mensal[".chartXml"] = '<chart>
		<attr value="tables">
			<attr value="0">Alunos_Mensal</attr>
		</attr>
		<attr value="chart_type">
			<attr value="type">line</attr>
		</attr>
		
		<attr value="parameters">';
	$tdataAlunos_Mensal[".chartXml"] .= '<attr value="0">
			<attr value="name">alunos</attr>
			<attr value="currencyFormat">0</attr>
			<attr value="decimalFormat">0</attr>
			<attr value="customFormat">0</attr>
			<attr value="customFormatStr"></attr>';
	$tdataAlunos_Mensal[".chartXml"] .= '</attr>';
	$tdataAlunos_Mensal[".chartXml"] .= '<attr value="1">
			<attr value="name">coordenadores</attr>
			<attr value="currencyFormat">0</attr>
			<attr value="decimalFormat">0</attr>
			<attr value="customFormat">0</attr>
			<attr value="customFormatStr"></attr>';
	$tdataAlunos_Mensal[".chartXml"] .= '</attr>';
	$tdataAlunos_Mensal[".chartXml"] .= '<attr value="2">
			<attr value="name">professores</attr>
			<attr value="currencyFormat">0</attr>
			<attr value="decimalFormat">0</attr>
			<attr value="customFormat">0</attr>
			<attr value="customFormatStr"></attr>';
	$tdataAlunos_Mensal[".chartXml"] .= '</attr>';
	$tdataAlunos_Mensal[".chartXml"] .= '<attr value="3">
		<attr value="name">mes</attr>
	</attr>';
	$tdataAlunos_Mensal[".chartXml"] .= '</attr>
			<attr value="appearance">';
	$tdataAlunos_Mensal[".chartXml"] .= '<attr value="scolor11">FF0000</attr>
			<attr value="scolor12">FF0000</attr>';
	$tdataAlunos_Mensal[".chartXml"] .= '<attr value="scolor21">008000</attr>
			<attr value="scolor22">008000</attr>';
	$tdataAlunos_Mensal[".chartXml"] .= '<attr value="scolor31">0000FF</attr>
			<attr value="scolor32">0000FF</attr>';

	$tdataAlunos_Mensal[".chartXml"] .= '<attr value="head">'.xmlencode("").'</attr>
<attr value="foot">'.xmlencode("").'</attr>
<attr value="y_axis_label">'.xmlencode("idnucleo").'</attr>

<attr value="color51">49563A</attr>
<attr value="color52">49563A</attr>
<attr value="color61">49563A</attr>
<attr value="color62">49563A</attr>
<attr value="color71">C7CDC1</attr>
<attr value="color72">C7CDC1</attr>
<attr value="color81">ECF0E8</attr>
<attr value="color82">ECF0E8</attr>
<attr value="color91">68838B</attr>
<attr value="color92">68838B</attr>
<attr value="color101">48505A</attr>
<attr value="color102">48505A</attr>
<attr value="color111">45595F</attr>
<attr value="color112">45595F</attr>
<attr value="color121"></attr>
<attr value="color122"></attr>
<attr value="color131">000000</attr>
<attr value="color132">000000</attr>
<attr value="color141">000000</attr>
<attr value="color142">000000</attr>

<attr value="slegend">true</attr>
<attr value="sgrid">false</attr>
<attr value="sname">true</attr>
<attr value="sval">true</attr>
<attr value="sanim">true</attr>
<attr value="sstacked">false</attr>
<attr value="saxes">false</attr>
<attr value="slog">false</attr>
<attr value="aqua">0</attr>
<attr value="cview">0</attr>
<attr value="is3d">0</attr>
<attr value="isstacked">0</attr>
<attr value="linestyle">0</attr>
<attr value="autoupdate">0</attr>
<attr value="autoupmin">5</attr>
<attr value="cscroll">true</attr>
<attr value="maxbarscroll">10</attr>';
$tdataAlunos_Mensal[".chartXml"] .= '</attr>

<attr value="fields">';
	$tdataAlunos_Mensal[".chartXml"] .= '<attr value="0">
		<attr value="name">id</attr>
		<attr value="label">'.xmlencode("Id").'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataAlunos_Mensal[".chartXml"] .= '<attr value="1">
		<attr value="name">idnucleo</attr>
		<attr value="label">'.xmlencode("Idnucleo").'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataAlunos_Mensal[".chartXml"] .= '<attr value="2">
		<attr value="name">idregional</attr>
		<attr value="label">'.xmlencode("Idregional").'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataAlunos_Mensal[".chartXml"] .= '<attr value="3">
		<attr value="name">ano</attr>
		<attr value="label">'.xmlencode("Ano").'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataAlunos_Mensal[".chartXml"] .= '<attr value="4">
		<attr value="name">mes</attr>
		<attr value="label">'.xmlencode("Mes").'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataAlunos_Mensal[".chartXml"] .= '<attr value="5">
		<attr value="name">alunos</attr>
		<attr value="label">'.xmlencode("Alunos").'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataAlunos_Mensal[".chartXml"] .= '<attr value="6">
		<attr value="name">coordenadores</attr>
		<attr value="label">'.xmlencode("Coordenadores").'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdataAlunos_Mensal[".chartXml"] .= '<attr value="7">
		<attr value="name">professores</attr>
		<attr value="label">'.xmlencode("Professores").'</attr>
		<attr value="search"></attr>
	</attr>';
$tdataAlunos_Mensal[".chartXml"] .= '</attr>


<attr value="settings">
<attr value="name">Alunos_Mensal</attr>
<attr value="short_table_name">Alunos_Mensal</attr>
</attr>

</chart>';
	
$tables_data["Alunos_Mensal"]=&$tdataAlunos_Mensal;
$field_labels["Alunos_Mensal"] = &$fieldLabelsAlunos_Mensal;
$fieldToolTips["Alunos_Mensal"] = &$fieldToolTipsAlunos_Mensal;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Alunos_Mensal"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["Alunos_Mensal"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_Alunos_Mensal()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  idnucleo,  idregional,  ano,  mes,  alunos,  coordenadores,  professores";
$proto0["m_strFrom"] = "FROM senuc_score";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY ano DESC, mes DESC";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_score"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_score"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "idregional",
	"m_strTable" => "senuc_score"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_score"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "mes",
	"m_strTable" => "senuc_score"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "alunos",
	"m_strTable" => "senuc_score"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "coordenadores",
	"m_strTable" => "senuc_score"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "professores",
	"m_strTable" => "senuc_score"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto21=array();
$proto21["m_link"] = "SQLL_MAIN";
			$proto22=array();
$proto22["m_strName"] = "senuc_score";
$proto22["m_columns"] = array();
$proto22["m_columns"][] = "id";
$proto22["m_columns"][] = "idnucleo";
$proto22["m_columns"][] = "idregional";
$proto22["m_columns"][] = "tipo_nucleo";
$proto22["m_columns"][] = "ano";
$proto22["m_columns"][] = "mes";
$proto22["m_columns"][] = "coordenadores";
$proto22["m_columns"][] = "professores";
$proto22["m_columns"][] = "alunos";
$proto22["m_columns"][] = "meta_alunos";
$proto22["m_columns"][] = "dias_funcionamento";
$proto22["m_columns"][] = "meta_funcionamento";
$proto22["m_columns"][] = "alunos_por_coordenador";
$proto22["m_columns"][] = "meta_alunos_por_coordenador";
$proto22["m_columns"][] = "freq_media_coordenador";
$proto22["m_columns"][] = "min_freq_coordenador";
$proto22["m_columns"][] = "freq_media_aluno";
$proto22["m_columns"][] = "min_freq_aluno";
$proto22["m_columns"][] = "freq_media_professor";
$proto22["m_columns"][] = "min_freq_professor";
$proto22["m_columns"][] = "meta_atividades";
$proto22["m_columns"][] = "atividades_elaboradas";
$proto22["m_columns"][] = "atividades_realizadas";
$proto22["m_columns"][] = "score";
$proto22["m_columns"][] = "operador";
$proto22["m_columns"][] = "data_insercao";
$obj = new SQLTable($proto22);

$proto21["m_table"] = $obj;
$proto21["m_alias"] = "";
$proto23=array();
$proto23["m_sql"] = "";
$proto23["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto23["m_column"]=$obj;
$proto23["m_contained"] = array();
$proto23["m_strCase"] = "";
$proto23["m_havingmode"] = "0";
$proto23["m_inBrackets"] = "0";
$proto23["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto23);

$proto21["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto21);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto25=array();
						$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_score"
));

$proto25["m_column"]=$obj;
$proto25["m_bAsc"] = 0;
$proto25["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto25);

$proto0["m_orderby"][]=$obj;					
												$proto27=array();
						$obj = new SQLField(array(
	"m_strName" => "mes",
	"m_strTable" => "senuc_score"
));

$proto27["m_column"]=$obj;
$proto27["m_bAsc"] = 0;
$proto27["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto27);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_Alunos_Mensal = createSqlQuery_Alunos_Mensal();
								$tdataAlunos_Mensal[".sqlquery"] = $queryData_Alunos_Mensal;
	
if(isset($tdataAlunos_Mensal["field2"])){
	$tdataAlunos_Mensal["field2"]["LookupTable"] = "carscars_view";
	$tdataAlunos_Mensal["field2"]["LookupOrderBy"] = "name";
	$tdataAlunos_Mensal["field2"]["LookupType"] = 4;
	$tdataAlunos_Mensal["field2"]["LinkField"] = "email";
	$tdataAlunos_Mensal["field2"]["DisplayField"] = "name";
	$tdataAlunos_Mensal[".hasCustomViewField"] = true;
}

$tableEvents["Alunos_Mensal"] = new eventsBase;
$tdataAlunos_Mensal[".hasEvents"] = false;

$cipherer = new RunnerCipherer("Alunos_Mensal");

?>